//----------------------------------------
// Server - Weapon System
//
// Revision: Public revision 1
//
// Created by TomTom BL_ID:3694
//
//	Doc: Server.cs
//
//	File Updated: 12th march 2012
//
//
//	If you find any bugs please report them on the add-ons topic!
//----------------------------------------

//Checks if the weapon is in the system
function WeaponShopData::CheckIfWeaponRegistered(%so,%DataBlockName)
{
	if(%so.ItemPrice[%DataBlockName] !$= "")
	{
		return true;
	}
	return false;
}

//Saves all the data
function WeaponShopData::SaveData()
{
	WeaponShopData.Save("config/Server/WeaponShopPrefs.cs");
}

//Sets the price of buying the weapon
function WeaponShopData::SetWeaponPrice(%so,%Datablockname,%Price)
{
	%so.ItemPrice[%DataBlockName] = %price;
	WeaponShopData.SaveData();
}

//Checks if somebody owns a gun
function WeaponShopData::CheckWeaponOwnership(%so,%Datablockname,%Bl_ID)
{
	if(!hasItemOnList(%so.WeaponOwnership[%Datablockname], %Bl_ID) || $Pref::WeaponShop::Type == 2)
	{
		return false;
	}
	return true;
}

//Adds a gun to somebodys ownership
function WeaponShopData::AddWeaponOwnership(%so,%Datablockname,%Bl_ID)
{
	if(hasItemOnList(%so.WeaponOwnership[%Datablockname]))
	{
		return;
	}
	%so.WeaponOwnership[%Datablockname] = addItemToList(%so.WeaponOwnership[%Datablockname],%Bl_ID);
	WeaponShopData.SaveData();
}


//Remove ownership of said gun
function WeaponShopData::RemoveWeaponOwnership(%so,%Datablockname,%Bl_ID)
{
	if(!hasItemOnList(%so.WeaponOwnership[%Datablockname] ,%Bl_ID))
	{
		return;
	}
	%so.WeaponOwnership[%Datablockname] = removeItemFromList(%so.WeaponOwnership[%Datablockname],%Bl_ID);
	WeaponShopData.SaveData();
}

//Gets the price of the weapon
function WeaponShopData::GetWeaponPrice(%so,%Datablockname)
{
	if(%so.ItemPrice[%DataBlockName] $= "")
	{
		return "REJECT";
	}
	return %so.ItemPrice[%DataBlockName];
}

//Can they afford it?
function WeaponShopData::CheckAfford(%so,%Datablockname,%Client)
{
	if(%so.ItemPrice[%DataBlockName] $= "")
	{
		return false;
	}
	%WeaponPrice = %so.ItemPrice[%DataBlockName];
	%Cash = %client.score;
	if(%cash >= %WeaponPrice)
	{
		return true;
	}
	return false;
}
