function ServerCmdsetweaponprice(%client,%price)
{
	//Inital checks
	if(!%client.issuperadmin)
	{
		return %client.chatmessage("403: FORBIDDEN");
	}
	if(!$Pref::WeaponShop::Enabled)
	{
		%Client.Chatmessage("The weapon shop system is not enabled in the RTB prefs...");
		return;
	}
	%player = %client.player;
	%brick = containerRaycast(%player.getEyePoint(), VectorAdd(%player.getEyePoint(), VectorScale(%player.getEyeVector(), 10)),$TypeMasks::FxBrickObjectType);
	%brick.clearevents();
	
	//Check if the brick actuly exsits and has a item
	if(!isObject(%brick))
	{
		return %client.chatmessage("No brick was found!");
	}
	if(%brick.item $= "")
	{
		return %client.chatmessage("This brick has no item!");
	}
	
	%datablock = %brick.item.getdatablock().getname();
	WeaponShopData.SetWeaponPrice(%datablock,%price);
	%client.chatmessage(%datablock @"'s price has been set to" SPC %price);
	WeaponShopApplyEvent(%brick);
	CheckToNametag(%brick);
}


//Give the brick events for buying guns- for those too lazy to do it themselves
function ServerCmdMakeWeaponShopBrick(%client)
{
	if(!%client.issuperadmin)
	{
		return %client.chatmessage("403: FORBIDDEN");
	}
	if(!$Pref::WeaponShop::Enabled)
	{
		%Client.Chatmessage("The weapon shop system is not enabled prefs...");
		return;
	}
	%player = %client.player;
	%brick = containerRaycast(%player.getEyePoint(), VectorAdd(%player.getEyePoint(), VectorScale(%player.getEyeVector(), 5)),$TypeMasks::FxBrickObjectType);
	%brick.clearevents();
	if(!isObject(%brick))
	{
		return %client.chatmessage("No brick was found!");
	}
	WeaponShopApplyEvent(%brick);
	%client.chatmessage("Brick Set");
	CheckToNametag(%brick);
}

//Check the price of the bricks gun
function ServerCmdGetPrice(%client)
{
	if(!$Pref::WeaponShop::Enabled)
	{
		%Client.Chatmessage("The weapon shop system is not enabled in the prefs...");
		return;
	}
	%player = %client.player;
	%brick = containerRaycast(%player.getEyePoint(), VectorAdd(%player.getEyePoint(), VectorScale(%player.getEyeVector(), 5)),$TypeMasks::FxBrickObjectType);
	if(!isObject(%brick))
	{
		return %client.chatmessage("No brick was found!");
	}
	if(%brick.item $= "")
	{
		return %client.chatmessage("This brick has no item!");
	}
	%item = %brick.item.getdatablock().getname();
	%price = %price = WeaponShopData.GetWeaponPrice(%item);
	%client.chatmessage("This costs " @ %price);
}

function ServerCmdRemoveWeaponShopItem(%client)
{
	//Inital checks
	if(!%client.issuperadmin)
	{
		return %client.chatmessage("403: FORBIDDEN");
	}
	if(!$Pref::WeaponShop::Enabled)
	{
		%Client.Chatmessage("The weapon shop system is not enabled prefs...");
		return;
	}
	%player = %client.player;
	%brick = containerRaycast(%player.getEyePoint(), VectorAdd(%player.getEyePoint(), VectorScale(%player.getEyeVector(), 10)),$TypeMasks::FxBrickObjectType);
	%brick.clearevents();
	
	//Check if the brick actuly exsits and has a item
	if(!isObject(%brick))
	{
		return %client.chatmessage("No brick was found!");
	}
	if(%brick.item $= "")
	{
		return %client.chatmessage("This brick has no item!");
	}
	
	%datablock = %brick.item.getdatablock().getname();
	WeaponShopData.SetWeaponPrice(%datablock,"");
	%client.chatmessage(%datablock @" has been removed from the weapon shop system!");
	CheckToNametag(%brick);
}