registerOutputEvent(fxDtsBrick,"WeaponShopEvent");

function fxDtsBrick::WeaponShopEvent(%brick,%client)
{
	if(!$Pref::WeaponShop::Enabled)
	{
		%Client.Chatmessage("The weapon shop system is not enabled in the RTB prefs...");
		return;
	}
	%player = %client.player;
	%item = %brick.item.getdatablock().getname();
	if(WeaponShopData.GetWeaponPrice(%item) $= "REJECT")
	{
		%client.chatmessage("Sorry, this gun is not set up for sale");
		return;
	}
	%image = %item.getid();
	//Check if they own the gun, if so give them it
	if(WeaponShopData.CheckWeaponOwnership(%Item,%Client.Bl_Id))
	{
		for(%i = 0; %i < %player.getDatablock().maxTools; %i++)
   		{
   			%tool = %player.tool[%i];
   			if(!$Pref::WeaponShop::MultPick && %player.tool[%i].getname() $= %Item)
   			{
   				%client.chatmessage("You cannot pick up two of the same item!");
   				return;
   			}
   			if(%tool == 0)
   			{
				%player.tool[%i] = %image;
				%player.weaponCount++;
				messageClient(%client,'MsgItemPickup','',%i,%image);
				break;
      		}
   		}
   		return;
   	}
   	%client.WeaponPurchaseDatablock =%item;
   	//announce(%client.WeaponPurchaseDatablock);
   	WeaponShopYesNo(%client);
}
   	

//Support codes


function WeaponShopApplyEvent(%brick)
{
	%enabled     = 1;
	%delay       = 0;
	%inputEvent  = "OnActivate";
	%target      = "Self";
	%outputEvent = "WeaponShopEvent";
	%Brick.addEvent(%enabled, %delay, %inputEvent, %target, %outputEvent);
}

package WeaponShopPackages
{
	function ServerCmdMessageBoxCancel(%client)
	{
		parent::ServerCmdMessageBoxCancel(%client);
		if(%client.CheckingPurchaseYesNO)
		{
			BuyItemDecline(%client);
		}
	}
	function Player::pickup(%this,%item)
 	{
 		if(WeaponShopData.CheckIfWeaponRegistered(%item.getdatablock().getname()) && $Pref::WeaponShop::Pickup && $Pref::WeaponShop::Enabled)
 		{
 			return;
 		}
 		parent::pickup(%this,%item);
 	}
 	function serverCmdsetwrenchdata(%client,%data)
    {
    	%brick = %client.wrenchBrick;
        Parent::serverCmdsetwrenchdata(%client,%data);
        if($Pref::WeaponShop::Enabled)
        {
        	CheckToNametag(%brick);
        }
    }
    function FxDTSBrick::OnAdd(%brick)
    {
    	Parent::OnAdd(%brick);
    	if($Pref::WeaponShop::Enabled)
    	{
        	schedule(300,0,CheckToNametag,%brick);
        }
    }
    
};
activatepackage(WeaponShopPackages);

function CheckToNametag(%brick)
{
	%item = %brick.item;
	if(!isobject(%item))
	{
		return;
	}
	%price = WeaponShopData.GetWeaponPrice(%item.getdatablock().getname());
	if($Pref::WeaponShop::Enabled && WeaponShopData.CheckIfWeaponRegistered(%item.getdatablock().getname()))
	{
		%item.SetShapeName("Price: "@ %price);
		%item.SetShapeNameDistance(25);
	}
	else
	{
		%item.SetShapeName("");
	}
}

function ServerCmdUpdateAllBrickPrices(%client)
{
	if(%client.isSuperAdmin)
	{
		%brickgroup = %client.brickgroup;
		for(%i=0;%i<%brickgroup.getCount();%i++)
		{	
			%brick = %brickgroup.getObject(%i);
			CheckToNametag(%brick);
		}
		%client.chatmessage("All your bricks have been sucsesfully updated!");
	}
}

	
//ServerCmds For control

function ServerCmdEnableWeaponShop(%client)
{
	if(%client.isSuperAdmin)
	{
		$Pref::WeaponShop::Enabled = 1;
		%client.chatmessage("Shop enabled!");
		ServerCmdUpdateAllBrickPrices(%client);
	}
	else
	{
		%client.chatmessage("Forbidden");
	}
}
function servercmdDisableWeaponShop(%client)
{
	if(%client.isSuperAdmin)
	{
		$Pref::WeaponShop::Enabled = 0;
		%client.chatmessage("Shop disabled!");
		ServerCmdUpdateAllBrickPrices(%client);
	}
	else
	{
		%client.chatmessage("Forbidden");
	}
}
function servercmdEnableWeaponPickup(%client)
{
	if(%client.isSuperAdmin)
	{
		$Pref::WeaponShop::Pickup = 0;
		%client.chatmessage("Pickup enabled!");
	}
	else
	{
		%client.chatmessage("Forbidden");
	}
}
function servercmdDisableWeaponPickup(%client)
{
	if(%client.isSuperAdmin)
	{
		$Pref::WeaponShop::Pickup = 1;
		%client.chatmessage("Pickup Disabled!");
	}
	else
	{
		%client.chatmessage("Forbidden");
	}
}
function servercmdToggleWeaponShopSystemMode(%client)
{
	if(%client.isSuperAdmin)
	{
		if($Pref::WeaponShop::Type ==1)
		{
			%client.chatmessage("One time pickup mode set!");
			$Pref::WeaponShop::Type =2;
		}
		else
		{
			%client.chatmessage("Saved ownership has been enabled!");
			$Pref::WeaponShop::Type =1;
		}
	}
	else
	{
		%client.chatmessage("Forbidden");
	}
}
function servercmdToggleWeaponShopMultiplePickup(%client)
{
	if(%client.isSuperAdmin)
	{
		if($Pref::WeaponShop::MultPick)
		{
			%client.chatmessage("Multiple item pickup from shops is now disabled!");
			$Pref::WeaponShop::MultPick =0;
		}
		else
		{
			%client.chatmessage("Multiple item pickup from shops is now enabled!");
			$Pref::WeaponShop::MultPick =1;
		}
	}
	else
	{
		%client.chatmessage("Forbidden");
	}
}